<?xml version="1.0" encoding="UTF-8" ?>

<project name="ob-apicheck" default="export.api">

  <property environment="env"/>
  <property name="classes" value="src-core/build/classes src-trl/build/classes src-wad/build/classes build/classes"/>
  <property name="public.apipackages" value="+org.openbravo, -org.openbravo.test, -org.openbravo.translate, -org.openbravo.wad, -org.openbravo.erpWindows, -org.openbravo.ddlutils"/>

  <target name="init">
    <fail message="openbravo.base must be specified and pointing to openbravo working copy" unless="openbravo.base"/>
    <fail message="target filename (japifile) for api export needs to be specified." unless="japifile"/>
  </target>

  <path id="project.class.path">
    <fileset dir="${openbravo.base}/lib/runtime">
      <include name="**/*.jar"/>
    </fileset>
    <fileset dir="${openbravo.base}/lib/build">
      <include name="**/*.jar"/>
    </fileset>
    <fileset dir="${openbravo.base}/src-db/database/lib">
      <include name="**/*.jar"/>
    </fileset>
    <fileset dir="${openbravo.base}/modules">
      <include name="*/lib/**/*.jar"/>
    </fileset>
  </path>

  <target name="export.api" depends="init" description="Export the public api in japitools format">
    <pathconvert property="export.class.path" refid="project.class.path" pathsep=" "/>
    <java classname="net.wuffies.japi.Japize">
      <classpath>
        <pathelement location="japitools.jar"/>
      </classpath>
      <arg line="as ${japifile} apis ${classes} ${export.class.path} ${public.apipackages}"/>
    </java>
  </target>

</project>
